<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<body>
<!--
    Academy videos list
-->
<th:block th:fragment="video-list(course, lessons, cssClass)">
    <ul th:classappend="${cssClass}">
        <li class="video" th:each="lesson: ${lessons}">
            <div class="academy-video">
                <div class="youtube"
                     th:id="${lesson.videoId}"
                     th:attr="lesson=${lesson.id}, course=${course.id}, skill=${course.skill.id}">
                    <div class="play-button"></div>
                </div>
                <h4 th:text="${T(tbt.app.common.util.I18nUtils).get(lesson.text)}" class="title"></h4>
                <div th:if="${lesson.tags}" class="tags">
                    <a th:each="tag: ${lesson.tags}">
                        #
                        <th:block th:text="${tag.name}"/>
                    </a>
                </div>
            </div>
        </li>
    </ul>
</th:block>

<!--
    Academy video
-->
<th:block th:fragment="video(videoId, description, tags)">
    <div class="academy-video">
        <div class="youtube" th:id="${videoId}">
            <div class="play-button"></div>
        </div>
        <h4 th:text="${description}" class="title"></h4>
        <div th:if="${tags}" class="tags">
            <a th:each="tag: ${tags}">
                #
                <th:block th:text="${tag.name}"/>
            </a>
        </div>
    </div>
</th:block>

<!--
    Academy navigation between Course, Quizz and Test
-->
<th:block th:fragment="menu(course, section)"
          th:with="category=${course.skill.category.toString().toLowerCase()},
                   skill=${course.skill.code.toString().toLowerCase()},
                   skillId=${course.skill.id}">
    <div class="row header">
        <h1 th:text="#{${'skill.' + skill}}" th:classappend="${category}" class="category"></h1>
    </div>
    <div th:classappend="${course.test == null ? 'two' : 'three'}" class="row submenu">
        <div class="wrapper">
            <th:block th:if="${course.test}">
                <th:block th:switch="${section}">
                    <a th:case="test"
                       th:href="${'/academy/course/' + skillId + '/test'}"
                       th:text="#{ academy.button.menu.test }"
                       th:classappend="${category}"
                       class="item selected"></a>
                    <a th:case="*"
                       th:href="${'/academy/course/' + skillId + '/test'}"
                       th:text="#{ academy.button.menu.test }"
                       th:classappend="${category}"
                       class="item"></a>

                </th:block>
            </th:block>

            <th:block th:switch="${section}">
                <a th:case="quizz"
                   th:href="${'/academy/course/' + skillId + '/quizz'}"
                   th:text="#{ academy.button.menu.quizz }"
                   th:classappend="${category}"
                   class="item selected"></a>
                <a th:case="*"
                   th:href="${'/academy/course/' + skillId + '/quizz'}"
                   th:text="#{ academy.button.menu.quizz }"
                   th:classappend="${category}"
                   class="item"></a>
            </th:block>

            <th:block th:switch="${section}">
                <a th:case="course"
                   th:href="${'/academy/course/' + skillId}"
                   th:text="#{ academy.button.menu.course }"
                   th:classappend="${category}"
                   class="item selected"></a>
                <a th:case="*"
                   th:href="${'/academy/course/' + skillId}"
                   th:text="#{ academy.button.menu.course }"
                   th:classappend="${category}"
                   class="item"></a>
            </th:block>

        </div>
    </div>
</th:block>

<!--
    Academy skill menu
-->
<th:block th:fragment="skillMenu(category, skills)">
    <th:block th:with="clazz=${category.toString().toLowerCase()}">
        <a th:href="${'#category-' + clazz}"
           class="category" th:classappend="${clazz}"
           th:id="${clazz}">

            <th:block th:text="#{${'category.' + clazz}}"/>
            <span></span>
        </a>
        <div th:id="${clazz + '_skills'}"
             class="skills" th:classappend="${clazz}"
             th:with="categorySkills=${skills.get(category)}">

            <th:block th:each="skill,i: ${categorySkills}">
                <a th:href="${'/academy/course/' + skill.id + '/test'}" class="skill" th:text="#{${'skill.' + skill.code.toLowerCase()}}"></a>
            </th:block>
            <a href="#" class="close-menu glyphicon glyphicon-chevron-up"></a>
        </div>
    </th:block>
</th:block>

</body>
</html>